// Code generated by client-gen. DO NOT EDIT.

package v1alpha1

import (
	v1alpha1 "github.com/kyma-project/kyma/components/application-broker/pkg/apis/applicationconnector/v1alpha1"
	scheme "github.com/kyma-project/kyma/components/application-broker/pkg/client/clientset/versioned/scheme"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	rest "k8s.io/client-go/rest"
)

// ApplicationMappingsGetter has a method to return a ApplicationMappingInterface.
// A group's client should implement this interface.
type ApplicationMappingsGetter interface {
	ApplicationMappings(namespace string) ApplicationMappingInterface
}

// ApplicationMappingInterface has methods to work with ApplicationMapping resources.
type ApplicationMappingInterface interface {
	Create(*v1alpha1.ApplicationMapping) (*v1alpha1.ApplicationMapping, error)
	Update(*v1alpha1.ApplicationMapping) (*v1alpha1.ApplicationMapping, error)
	Delete(name string, options *v1.DeleteOptions) error
	DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error
	Get(name string, options v1.GetOptions) (*v1alpha1.ApplicationMapping, error)
	List(opts v1.ListOptions) (*v1alpha1.ApplicationMappingList, error)
	Watch(opts v1.ListOptions) (watch.Interface, error)
	Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.ApplicationMapping, err error)
	ApplicationMappingExpansion
}

// applicationMappings implements ApplicationMappingInterface
type applicationMappings struct {
	client rest.Interface
	ns     string
}

// newApplicationMappings returns a ApplicationMappings
func newApplicationMappings(c *ApplicationconnectorV1alpha1Client, namespace string) *applicationMappings {
	return &applicationMappings{
		client: c.RESTClient(),
		ns:     namespace,
	}
}

// Get takes name of the applicationMapping, and returns the corresponding applicationMapping object, and an error if there is any.
func (c *applicationMappings) Get(name string, options v1.GetOptions) (result *v1alpha1.ApplicationMapping, err error) {
	result = &v1alpha1.ApplicationMapping{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("applicationmappings").
		Name(name).
		VersionedParams(&options, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// List takes label and field selectors, and returns the list of ApplicationMappings that match those selectors.
func (c *applicationMappings) List(opts v1.ListOptions) (result *v1alpha1.ApplicationMappingList, err error) {
	result = &v1alpha1.ApplicationMappingList{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("applicationmappings").
		VersionedParams(&opts, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// Watch returns a watch.Interface that watches the requested applicationMappings.
func (c *applicationMappings) Watch(opts v1.ListOptions) (watch.Interface, error) {
	opts.Watch = true
	return c.client.Get().
		Namespace(c.ns).
		Resource("applicationmappings").
		VersionedParams(&opts, scheme.ParameterCodec).
		Watch()
}

// Create takes the representation of a applicationMapping and creates it.  Returns the server's representation of the applicationMapping, and an error, if there is any.
func (c *applicationMappings) Create(applicationMapping *v1alpha1.ApplicationMapping) (result *v1alpha1.ApplicationMapping, err error) {
	result = &v1alpha1.ApplicationMapping{}
	err = c.client.Post().
		Namespace(c.ns).
		Resource("applicationmappings").
		Body(applicationMapping).
		Do().
		Into(result)
	return
}

// Update takes the representation of a applicationMapping and updates it. Returns the server's representation of the applicationMapping, and an error, if there is any.
func (c *applicationMappings) Update(applicationMapping *v1alpha1.ApplicationMapping) (result *v1alpha1.ApplicationMapping, err error) {
	result = &v1alpha1.ApplicationMapping{}
	err = c.client.Put().
		Namespace(c.ns).
		Resource("applicationmappings").
		Name(applicationMapping.Name).
		Body(applicationMapping).
		Do().
		Into(result)
	return
}

// Delete takes name of the applicationMapping and deletes it. Returns an error if one occurs.
func (c *applicationMappings) Delete(name string, options *v1.DeleteOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("applicationmappings").
		Name(name).
		Body(options).
		Do().
		Error()
}

// DeleteCollection deletes a collection of objects.
func (c *applicationMappings) DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("applicationmappings").
		VersionedParams(&listOptions, scheme.ParameterCodec).
		Body(options).
		Do().
		Error()
}

// Patch applies the patch and returns the patched applicationMapping.
func (c *applicationMappings) Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.ApplicationMapping, err error) {
	result = &v1alpha1.ApplicationMapping{}
	err = c.client.Patch(pt).
		Namespace(c.ns).
		Resource("applicationmappings").
		SubResource(subresources...).
		Name(name).
		Body(data).
		Do().
		Into(result)
	return
}
