# Documentation

# Overview

The `docs` folder contains end-to-end documentation on Kyma and its components.

Start with the overarching [Kyma](kyma/docs) documentation where you can find the general information on Kyma and the Getting Started guides. Then, read about the product in more detail:

-   [API Gateway](api-gateway/docs)
-   [Application Connector](application-connector/docs/)
-   [Console](console/docs/)
-   [Security](security/docs/)
-   [Event Bus](event-bus/docs/)
-   [Monitoring](monitoring/docs/)
-   [Serverless](serverless/docs/)
-   [Service Brokers](service-brokers/docs/)
-   [Service Catalog](service-catalog/docs/)
-   [Service Mesh](service-mesh/docs/)
-   [Tracing](tracing/docs/)

Read it directly in GitHub or inside the Kyma Console if you have access to the Kyma cluster.

The navigation order of the documentation page is based on the [Manifest](manifest.yaml) file.

## Development

Follow these basic rules when you add a new document to the official Kyma documentation:

1. Get familiar with the [Content Strategy](https://github.com/kyma-project/community/blob/master/guidelines/content-guidelines/content-strategy.md) to learn about the Kyma's official approach to content development.
2. Follow the [Contribution Guide](https://github.com/kyma-project/community/blob/master/CONTRIBUTING.md) for the general contribution rules and process.
3. Make use of the [templates](https://github.com/kyma-project/community/tree/master/guidelines/templates) to structure your documents properly.
4. Be compliant with the writing [guidelines](https://github.com/kyma-project/community/tree/master/guidelines/content-guidelines) to contribute high-quality and standardized content.

>**NOTE:** If you add a new documentation topic to the `kyma/docs` folder, update the files described in [this](https://github.com/kyma-project/community/blob/master/guidelines/add-new-component-docs.md) document.
