---
title: How to start
type: Overview
---

When you already know what Kyma is and what components it consists of, you can start using it. Minikube allows you to run Kyma locally, develop, and test your solutions on a small scale before you push them to a cluster. With the Installation and Getting Started guides in hand, you can start developing in a matter of minutes.

Read, learn, and try on your own to:

- [Install Kyma locally from the release](#installation-install-kyma-locally-from-the-release)
- [Install Kyma locally from sources](#installation-install-kyma-locally-from-sources)
- [Install Kyma on a cluster](#installation-install-kyma-on-a-gke-cluster)
- [Deploy a sample service locally](#getting-started-sample-service-deployment-on-local)
- [Deploy a service on a cluster](#getting-started-sample-service-deployment-on-a-cluster)
- [Develop a service locally without using Docker](#getting-started-develop-a-service-locally-without-using-docker)
- [Publish a service Docker image and deploy it to Kyma](#getting-started-publish-a-service-docker-image-and-deploy-it-to-kyma)
- [Configure the Installer with override values for Helm charts](#getting-started-helm-overrides-for-kyma-installation)
- [Register a ClusterServiceBroker](/docs/components/service-catalog#getting-started-register-a-clusterservicebroker)
- [Create a new Application](/docs/components/application-connector#getting-started-create-a-new-application)
- [Get the client certificate](/docs/components/application-connector#getting-started-get-the-client-certificate)
- [Register a service](/docs/components/application-connector#getting-started-register-a-service)
- [Bind an Application to an Environment](/docs/components/application-connector#getting-started-bind-an-application-to-an-environment)
- [Trigger a lambda with events](/docs/components/application-connector#getting-started-trigger-a-lambda-with-events)
- [Call a registered external service from Kyma](/docs/components/application-connector#getting-started-call-a-registered-external-service-from-kyma)
- [Expose custom metrics in Kyma](/docs/components/monitoring#getting-started-expose-custom-metrics-in-kyma)
